Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfListStyleText

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyle
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyleText

    public class RtfListStyleText

extends RtfListStyle

Class to handle text list style.

Constructor Summary
`RtfListStyleText(java.lang.String s)` Constructs a RtfListStyleText object.

Method Summary
`void` | `writeLevelGroup(RtfElement element)` Gets called when the list table has to be written.
`void` | `writeListPrefix(RtfListItem item)` Gets called before a RtfListItem has to be written.
`void` | `writeParagraphPrefix(RtfElement element)` Gets called before a paragraph, which is contained by a RtfListItem has to be written.

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyle
`getRtfList, getRtfListItem, setRtfListItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtfListStyleText

    public RtfListStyleText(java.lang.String s)

  Constructs a RtfListStyleText object.

  Parameters:
    `s` - Text to be displayed

Method Detail

### writeListPrefix

    public void writeListPrefix(RtfListItem item)
                         throws java.io.IOException

  Gets called before a RtfListItem has to be written.

  Overrides:
    `writeListPrefix` in class `RtfListStyle`
  Parameters:
    `item` - RtfListItem whose prefix has to be written RtfListItem this style belongs to
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

### writeParagraphPrefix

    public void writeParagraphPrefix(RtfElement element)
                              throws java.io.IOException

  Gets called before a paragraph, which is contained by a RtfListItem has to be written.

  Overrides:
    `writeParagraphPrefix` in class `RtfListStyle`
  Parameters:
    `element` - RtfElement in whose context is to be written RtfElement in whose context is to be written
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

### writeLevelGroup

    public void writeLevelGroup(RtfElement element)
                         throws java.io.IOException

  Gets called when the list table has to be written.

  Overrides:
    `writeLevelGroup` in class `RtfListStyle`
  Parameters:
    `element` - RtfElement in whose context is to be written RtfElement in whose context is to be written
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.